# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${CMAKE_SOURCE_DIR}/libtdegames/highscore
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### klines (executable) #######################

tde_add_executable( klines AUTOMOC
  SOURCES prompt.cpp mwidget.cpp linesboard.cpp field.cpp cell.cpp
    ballpainter.cpp klines.cpp main.cpp prefs.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( klines )


##### other data ################################

install( FILES klines.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install( FILES klinesui.rc
  DESTINATION ${DATA_INSTALL_DIR}/klines
)

install( FILES balls.jpg field.jpg fire.jpg
  DESTINATION ${DATA_INSTALL_DIR}/klines/
)

install( FILES klines.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
